## org.eclipse.amp.amf.abase.parseTreeConstruction
Class ABaseParsetreeConstructor

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
          org.eclipse.amp.amf.abase.parseTreeConstruction.ABaseParsetreeConstructor

All Implemented Interfaces:
  org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor

    public class ABaseParsetreeConstructor

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor

`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.ActionToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AlternativesToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AssignmentType, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.GroupToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RootToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnassignedTextToken, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.UnorderedGroupToken`

Nested classes/interfaces inherited from interface org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor
`org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionDiagnostic, org.eclipse.xtext.parsetree.reconstr.IParseTreeConstructor.TreeConstructionReport`

Constructor Summary
`ABaseParsetreeConstructor()`

Method Summary

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor
`serializeSubtree`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseParsetreeConstructor

    public ABaseParsetreeConstructor()